<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.wecloud.im.mapper.ImClientMapper">

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id
        , create_time, update_time, fk_appid, attributes,device_type,valid
    </sql>
    <update id="removeOldToken">
        UPDATE im_client
        SET device_token = NULL
        WHERE device_token = #{deviceToken}
          AND fk_appid = #{appId}
    </update>

    <select id="getImClientById" resultType="com.wecloud.im.param.ImClientQueryVo">
        select
        <include refid="Base_Column_List"/>
        from im_client where id = #{id}
    </select>

    <select id="getImClientPageList" parameterType="com.wecloud.im.param.ImClientPageParam"
            resultType="com.wecloud.im.param.ImClientQueryVo">
        select
        <include refid="Base_Column_List"/>
        from im_client
    </select>

</mapper>
